Subject: KSA Last Mile - Courier Followup 100151474_2AWB: OS01721011KS
From: Taqwa Ali <[email-masked]>
To: Ahmed Irfan <[email-masked]>, Hussain Firoz Miyagamwala <[email-masked]>
Cc: KSA Lastmile <[email-masked]>, customer care <[email-masked]>
Date: Tue, 30 Jun 2020 15:33:54 +0400
List-Id: <ccteam.mumzworld.com>

Dear Team

Please cancel the order

@Hussain Firoz Miyagamwala <[email-masked]> receive cra once its
done

Regards
Taqwa